# Generated from workarea-google_address_autocomplete-4.1.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name workarea-google_address_autocomplete

Name: rubygem-%{gem_name}
Version: 4.1.1
Release: 1%{?dist}
Summary: Adds address autocomplete based on Google Places to the Workarea Commerce Platform
License: Business Software License
URL: https://github.com/workarea-commerce/workarea-google-address-autocomplete
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.0.0
BuildArch: noarch

%description
A Google Address Autocomplete plugin, made possible by Google Maps API's
Geocoding & Google Places Autocomplete, via the jQuery Geocomplete plugin.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.editorconfig
%{gem_instdir}/.eslintignore
%exclude %{gem_instdir}/.eslintrc
%{gem_instdir}/.github
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.scss-lint.yml
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE
%{gem_instdir}/app
%{gem_instdir}/bin
%{gem_instdir}/config
%{gem_instdir}/example.png
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/CONTRIBUTING.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/test
%{gem_instdir}/workarea-google_address_autocomplete.gemspec

%changelog
* Thu Sep 16 2021 mockbuilder - 4.1.1-1
- Initial package
